API referenceAgents
List Revisions
GET
/api/v1/agents/{agent_id}/revisionsAuthorizationBearer <token>
A workspace API key (a13n_...)
In: header
Path Parameters
agent_id*Agent Id
Query Parameters
limit?Limit
Range
1 <= value <= 100Default
50cursor?string|null
Header Parameters
X-Workspace-ID?|
The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/agents/string/revisions"{ "items": [ { "agent_id": "string", "config": { "client_tools": [], "connection_tools": [], "default_environment_template_id": "string", "instructions": "", "media_understanding": { "audio": "string", "image": "string", "video": "string" }, "memory_mounts": [], "model": "string", "model_characteristics": { "compact_threshold": 0.9, "context_window_tokens": 1, "proactive_context_management_threshold": 0.65 }, "model_settings": { "property1": null, "property2": null }, "output_spec": { "description": "string", "name": "string", "resources": {}, "schema": { "property1": null, "property2": null }, "variants": [ { "description": "string", "name": "string", "resources": {}, "schema": { "property1": null, "property2": null } }, { "description": "string", "name": "string", "resources": {}, "schema": { "property1": null, "property2": null } } ] }, "plugins": [], "retries": { "output": 0, "tools": 0 }, "reviewer": { "instruction": "string", "model": "string", "model_settings": { "property1": null, "property2": null }, "on_error": "deny", "on_flagged": "deny", "risk_threshold": "low", "rules": { "property1": { "on_flagged": "deny", "risk_threshold": "low" }, "property2": { "on_flagged": "deny", "risk_threshold": "low" } }, "shell_instruction": "string", "timeout_seconds": 120 }, "skills": [], "subagent_mode": "inline", "subagents": {}, "toolsets": { "property1": { "config": { "property1": null, "property2": null }, "enabled": true, "tools": {} }, "property2": { "config": { "property1": null, "property2": null }, "enabled": true, "tools": {} } }, "user_questions": false }, "created_at": "2019-08-24T14:15:22Z", "created_by_id": "string", "digest": "string", "id": "string", "note": "string", "number": 0 } ], "next_cursor": "string"}